/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '~@plateg/theme/styles/plateg-variables.less';
.egfa-checked-list {
  list-style: none;
  padding: 5px 0 5px 20px;
}
#egfa-freigabe-btn {
  &:not(:hover, :focus, :active) {
    color: @platfrom-blue1;
  }
  svg {
    margin-bottom: -4px;
  }
  span {
    margin-left: 0;
  }
}
.egfa-navbar {
  &.ant-layout-sider-collapsed {
    &:focus-within {
      .egfa-nav {
        border-width: 2px;
        border-color: @platfrom-blue1;
      }
      .ant-layout-sider-trigger {
        border-left: 2px solid @platfrom-blue1;
        margin-left: -3px;
        width: 37px !important;
      }
    }
    .egfa-nav {
      position: fixed;
      z-index: 1;
      width: 37px;
      background: #fff;
      height: 100%;
      margin: -2px 0 0 -3px;
      border: 1px solid @platform-blue8;
      border-width: 0 1px 0 0;
    }
  }

  &:focus-within {
    .egfa-nav nav {
      border-width: 2px 2px 0;
      border-color: @platfrom-blue1;
    }
  }
  .egfa-nav {
    z-index: 1;
    margin-left: -1px;
    nav {
      position: fixed;
      width: 281px;
      margin: -2px;
      z-index: 1;
      border: 1px solid @platform-blue8;
      border-width: 0 1px 0 0;
    }
  }
  &:not(.ant-layout-sider-collapsed) {
    .ant-layout-sider-trigger {
      width: 281px !important;
      margin-left: -3px;
    }
    &:focus-within {
      .ant-layout-sider-trigger {
        border-left: 2px solid @platfrom-blue1;
      }
    }
  }
}
.module-form-wrapper {
  .ant-checkbox-wrapper {
    display: flex;
    margin-left: 0 !important;
    .ant-checkbox {
      align-self: flex-start;
      margin-top: 4px;
    }
    .nonBreakingArea {
      white-space: nowrap;
    }
    .normalBreakingArea {
      white-space: normal;
    }
  }
}
.module-form-wrapper:focus-visible {
  outline: 0;
}
